[Service]
ExecStartPre=
ExecStartPre=/bin/bash -c "/usr/bin/test -f '/etc/ssh/ssh_host_dsa_key' || /usr/bin/ssh-keygen -C '' -f '/etc/ssh/ssh_host_dsa_key' -N '' -t 'dsa' <<< 'y'"
ExecStartPre=/bin/bash -c "/usr/bin/test -f '/etc/ssh/ssh_host_rsa_key' || /usr/bin/ssh-keygen -C '' -f '/etc/ssh/ssh_host_rsa_key' -N '' -t 'rsa' <<< 'y'"
ExecStartPre=/bin/bash -c "/usr/bin/test -f '/etc/ssh/ssh_host_ecdsa_key' || /usr/bin/ssh-keygen -C '' -f '/etc/ssh/ssh_host_ecdsa_key' -N '' -t 'ecdsa' <<< 'y'"
ExecStartPre=/bin/bash -c "/usr/bin/test -f '/etc/ssh/ssh_host_ed25519_key' || /usr/bin/ssh-keygen -C '' -f '/etc/ssh/ssh_host_ed25519_key' -N '' -t 'ed25519' <<< 'y'"
ExecStartPre=/usr/sbin/sshd -t
ExecStop=/usr/lib/openssh/ssh-session-cleanup
